Create Shipping Zone
curl --request POST \
--url https://api.sellauth.com/v1/shops/{shopId}/shipping-zones \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "pasyzwszwtxpeqq",
"price": 9,
"currency": "kym",
"countries": [
"wk"
],
"free_shipping_threshold": 8
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/shipping-zones"
payload = {
"name": "pasyzwszwtxpeqq",
"price": 9,
"currency": "kym",
"countries": ["wk"],
"free_shipping_threshold": 8
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'pasyzwszwtxpeqq',
price: 9,
currency: 'kym',
countries: ['wk'],
free_shipping_threshold: 8
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/shipping-zones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Shipping Zones
Create Shipping Zone
Creates a new shipping zone.
POST
/
v1
/
shops
/
{shopId}
/
shipping-zones
Create Shipping Zone
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Body
application/json
Must not be greater than 255 characters.
Example:
"pasyzwszwtxpeqq"
Must be at least 0. Must not be greater than 99999.
Example:
9
Must be 3 characters.
Example:
"kym"
Must be 2 characters.
Example:
["wk"]
Must be at least 0. Must not be greater than 99999.
Example:
8
Response
200 - undefined